Problem with npm install

Hi.
after runing npm install got error and nod_modules couldn’t be install. I got this error:

npm ERR! gyp ERR! node -v v14.16.0
npm ERR! gyp ERR! node-gyp -v v7.1.2
npm ERR! gyp ERR! Node-gyp failed to build your package.
npm ERR! gyp ERR! Try to update npm and/or node-gyp and if it does not help file an issue with the package author.

Thanks for any help

Hi @Samir_Talic_39646, welcome to the community.
Seems like you are using a really old version of Node & npm, can you please execute the following commands:

node -v

npm -v

Once executed, please reply to this post along with their respective outputs.

In case you have any doubts, please feel free to reach out to us.

Thanks and Regards.
Sourabh Bagrecha,
Curriculum Services Engineer

Hi
node v14.16.0 and npm 7.12.0
Regards

I am not really sure what is causing this error, can you try installing the windows-build-tools as well?
Do the following, in the same order as mentioned:

  1. Remove the node_modules folder inside the project folder where the package.json file is located, if it’s already there.
  2. Run npm update -g npm
  3. Execute this command by running the command prompt as Administrator npm install -g windows-build-tools
  4. Run npm install inside the project folder where the package.json file is located, if it doesn’t work run: npm install --force

In case you have any doubts, please feel free to reach out to us.

Thanks and Regards.
Sourabh Bagrecha,
Curriculum Services Engineer